Bug 1347015 - double up of team leads to nmc223.6 c651] tuaps: Ne workManager[30546] trap int3 ip:7fbdd56bb643 sp:7ffc02c09b40 error:0
Summary: double up of team leads to nmc223.6 c651] tuaps: Ne workManager[30546] trap i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Beniamino Galvani
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-15 19:34 UTC by Vladimir Benes
Modified: 2016-11-03 19:22 UTC (History)
7 users (show)

Fixed In Version: NetworkManager-1.4.0-0.2.git20160621.072358da.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 19:22:50 UTC
Target Upstream Version:


Attachments (Terms of Use)
this was shown by gdb, not sure if it's usable but let's try. The bug is pretty easily reproducable but I am quite unsure if it's not teamd bug (25.57 KB, text/plain)
2016-06-15 19:36 UTC, Vladimir Benes
no flags Details
[PATCH] team: check return value of g_dbus_connection_call_sync() (2.29 KB, patch)
2016-06-16 06:53 UTC, Beniamino Galvani
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2581 normal SHIPPED_LIVE Low: NetworkManager security, bug fix, and enhancement update 2016-11-03 12:08:07 UTC

Description Vladimir Benes 2016-06-15 19:34:51 UTC
[root@qe-dell-ovs5-vm-50 NetworkManager]# nmcli connection add type team ifname team0
Connection 'team-team0' (b555971b-8e71-4583-9d0d-6e54e98d43fb) successfully added.

[root@qe-dell-ovs5-vm-50 NetworkManager]# nmcli connection add type ethernet slave-type team master team0 ifname eth0 
Connection 'ethernet-eth0' (532d6366-78a8-4929-be82-206de9ec03ef) successfully added.

[root@qe-dell-ovs5-vm-50 NetworkManager]# nmcli connection up ethernet-eth0 
[ 3407.841407] team0: Port device eth0 added
[ 3407.845199] IPv6: ADDRCONF(NETDEV_CHANGE): team0: link becomes ready
Connection successfully activated (D-Bus active path: /org/freedesktop/NetworkManager/ActiveConnection/2)
[root@qe-dell-ovs5-vm-50 NetworkManager]# nmcli device 
DEVICE  TYPE      STATE         CONNECTION    
eth0    ethernet  connected     ethernet-eth0 
team0   team      connected     team-team0   

[root@qe-dell-ovs5-vm-50 NetworkManager]# nmcli connection  up team-team0 
[ 3450.486265] team0: Port device eth0 removed
[ 3450.565579] traps: NetworkManager[32558] trap int3 ip:7f2bd6cca643 sp:7ffdbb308340 error:0

Comment 2 Vladimir Benes 2016-06-15 19:36:20 UTC
Created attachment 1168489 [details]
this was shown by gdb, not sure if it's usable but let's try. The bug is pretty easily reproducable but I am quite unsure if it's not teamd bug

Comment 3 Vladimir Benes 2016-06-15 19:37:01 UTC
after pressing ctrl+c and reactivating eth0 on testeth0 connection I can see:
[root@qe-dell-ovs5-vm-50 NetworkManager]# nmcli device 
DEVICE  TYPE      STATE         CONNECTION 
eth0    ethernet  connected     testeth0   
eth1    ethernet  disconnected  --         
eth10   ethernet  disconnected  --         
eth2    ethernet  disconnected  --         
eth3    ethernet  disconnected  --         
eth4    ethernet  disconnected  --         
eth5    ethernet  disconnected  --         
eth6    ethernet  disconnected  --         
eth7    ethernet  disconnected  --         
eth8    ethernet  disconnected  --         
eth9    ethernet  disconnected  --         
lo      loopback  unmanaged     --         
team0   team      unmanaged     --       

[root@qe-dell-ovs5-vm-50 NetworkManager]# teamdctl team0 state dump 
{
    "setup": {
        "daemonized": false,
        "dbus_enabled": true,
        "debug_level": 0,
        "kernel_team_mode_name": "roundrobin",
        "pid": 851,
        "pid_file": "/var/run/teamd/team0.pid",
        "runner_name": "roundrobin",
        "zmq_enabled": false
    },
    "team_device": {
        "ifinfo": {
            "dev_addr": "52:54:02:2c:e1:5a",
            "dev_addr_len": 6,
            "ifindex": 63,
            "ifname": "team0"
        }
    }
}

Comment 4 Beniamino Galvani 2016-06-16 06:53:56 UTC
Created attachment 1168568 [details]
[PATCH] team: check return value of g_dbus_connection_call_sync()

I'm not sure of the cause, but we should really check the return value of g_dbus_connection_call_sync() in teamd_dbus_appeared().

Comment 5 Thomas Haller 2016-06-18 09:05:52 UTC
(In reply to Beniamino Galvani from comment #4)
> Created attachment 1168568 [details]
> [PATCH] team: check return value of g_dbus_connection_call_sync()
> 
> I'm not sure of the cause, but we should really check the return value of
> g_dbus_connection_call_sync() in teamd_dbus_appeared().

lgtm

Comment 6 Francesco Giudici 2016-06-21 12:53:50 UTC
[PATCH] team: check return value of g_dbus_connection_call_sync() lgtm too

Comment 12 errata-xmlrpc 2016-11-03 19:22:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2581.html


Note You need to log in before you can comment on or make changes to this bug.